@typeparam TO
@typeparam TI
@using Jones.AspNetCore.Utils
@inherits Jones.AspNetCore.Components.Forms.CheckboxesBase<TO, TI>

@if (Options != null)
{
    foreach (var option in Options)
    {
        var id = GetId();
        <div class="@Class">
            <input class="form-check-input" 
                   type="checkbox" id="@id" @onchange="@(e => CheckboxChanged(e, option))" checked="@GetCheckedString(option)">
            <label class="ml-2 text-gray-900 dark:text-gray-300" for="@id">@GetOptionText(option)</label>
        </div>
    }
}

@code
{
    private string? Class => CssBuilder.Default("flex items-center")
        .AddClassFromAttributes(AdditionalAttributes)
        .Build();
}
